org.fourthline.cling.support.contentdirectory.ui

## Class ContentBrowseActionCallback

- java.lang.Object
- - org.fourthline.cling.controlpoint.ActionCallback
  - - org.fourthline.cling.support.contentdirectory.callback.Browse
    - - org.fourthline.cling.support.contentdirectory.ui.ContentBrowseActionCallback

- All Implemented Interfaces:
    Runnable

      public abstract class ContentBrowseActionCallback
      extends Browse

  Updates a tree model after querying a backend ContentDirectory service.
  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.contentdirectory.callback.Browse

      `Browse.Status`

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `ActionCallback.Default`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DefaultTreeModel` | `treeModel`
    `protected DefaultMutableTreeNode` | `treeNode`

    - ### Fields inherited from class org.fourthline.cling.support.contentdirectory.callback.Browse

      `CAPS_WILDCARD`

    - ### Fields inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `actionInvocation, controlPoint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentBrowseActionCallback(Service service, DefaultTreeModel treeModel, DefaultMutableTreeNode treeNode)`
    `ContentBrowseActionCallback(Service service, DefaultTreeModel treeModel, DefaultMutableTreeNode treeNode, String filter, long firstResult, long maxResults, SortCriterion... orderBy)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `failure(ActionInvocation invocation, UpnpResponse operation, String defaultMsg)`
    `abstract void` | `failureUI(String failureMessage)`
    `DefaultTreeModel` | `getTreeModel()`
    `DefaultMutableTreeNode` | `getTreeNode()`
    `protected void` | `insertChild(MutableTreeNode childNode)`
    `void` | `received(ActionInvocation actionInvocation, DIDLContent didl)`
    `protected void` | `removeChildren()`
    `void` | `updateStatus(Browse.Status status)`
    `abstract void` | `updateStatusUI(Browse.Status status, DefaultMutableTreeNode treeNode, DefaultTreeModel treeModel)`
    `protected void` | `updateTreeModel(List<DefaultMutableTreeNode> childNodes)`

    - ### Methods inherited from class org.fourthline.cling.support.contentdirectory.callback.Browse

      `getDefaultMaxResults, receivedRaw, run, success`

    - ### Methods inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `createDefaultFailureMessage, failure, getActionInvocation, getControlPoint, setControlPoint, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### treeModel

          protected final DefaultTreeModel treeModel

    - #### treeNode

          protected final DefaultMutableTreeNode treeNode

  - ### Constructor Detail

    - #### ContentBrowseActionCallback

          public ContentBrowseActionCallback(Service service,
                                             DefaultTreeModel treeModel,
                                             DefaultMutableTreeNode treeNode)

    - #### ContentBrowseActionCallback

          public ContentBrowseActionCallback(Service service,
                                             DefaultTreeModel treeModel,
                                             DefaultMutableTreeNode treeNode,
                                             String filter,
                                             long firstResult,
                                             long maxResults,
                                             SortCriterion... orderBy)

  - ### Method Detail

    - #### getTreeModel

          public DefaultTreeModel getTreeModel()

    - #### getTreeNode

          public DefaultMutableTreeNode getTreeNode()

    - #### received

          public void received(ActionInvocation actionInvocation,
                               DIDLContent didl)

      Specified by:
        `received` in class `Browse`

    - #### updateStatus

          public void updateStatus(Browse.Status status)

      Specified by:
        `updateStatus` in class `Browse`

    - #### failure

          public void failure(ActionInvocation invocation,
                              UpnpResponse operation,
                              String defaultMsg)

      Specified by:
        `failure` in class `ActionCallback`

    - #### updateTreeModel

          protected void updateTreeModel(List<DefaultMutableTreeNode> childNodes)

    - #### removeChildren

          protected void removeChildren()

    - #### insertChild

          protected void insertChild(MutableTreeNode childNode)

    - #### updateStatusUI

          public abstract void updateStatusUI(Browse.Status status,
                                              DefaultMutableTreeNode treeNode,
                                              DefaultTreeModel treeModel)

    - #### failureUI

          public abstract void failureUI(String failureMessage)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.